Subject: Re: bug#4709: 23.1; keyboard-translate not working with emacs daemon

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Oct 2009 22:22:46 -0400

> | That doesn't sound right.  Can you check that the relevant code from
> | your .emacs is indeed executed?  E.g. add a (message "I'm here") and/or
> | a (setq my-test 'passed) right after the define-key.

> Thank you for debugging my problem and I'm sorry that that was
> purely my mistake.  I was forgetting that I had a byte-compiled
> version of .emacs !

Good, thanks.

> I hadn't been interested in byte compilation before emacs23
> because the startup of emacs22 (and emacs21 if I remember
> correctly) was lightening quick.  emacs23's startup,
> on the other hand, is crawlingly slow.  That's why
> I tried byte-compilation (but that didn't help much)
> and then the emacs daemon (which is a nice solution).

Emacs-23 is known to be generally slower because of the new font-engine
which considers many more font options at startup, but it is not
expected to be as much slower as you seem to indicate.  So maybe
a bug-report about it is in order.

> I understand there are two schools of thoughts:

> 1) The byte compiled version is a stable version
>    and the source is a work in progress.  Therefore,
>    the byte compiled version should be used.

> 2) The byte compiled version is just a faster version
>    of the source.  Therefore, whichever is the newer
>    should be used.

> My guess is that view 1 is generally taken by elisp
> developers and so that's the default behavior of emacs.
> I guess most "ordinary" users would take View 2; they
> don't have much elisp code in progress.  I'm wondering
> if there is a simple way to switch between the two
> behaviors easily and quickly.

No there isn't.  Please make it a separate M-x report-emacs-bug if you
want such a feature.

        Stefan